namespace Brizco.Domain.Entities.Shift;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class ShiftDay : ApiEntity
{
    public ShiftDay()
    {

    }

    internal ShiftDay(DayOfWeek dayOfWeek, Guid shiftId)
    {
        DayOfWeek = dayOfWeek;
        ShiftId = shiftId;
    }

    public DayOfWeek DayOfWeek { get; internal set; }

    public Guid ShiftId { get; internal set; }
    public Shift? Shift { get; internal set; }
}